Mono.Addins 0.4.0.0 1.0.0.0 Mono.Addins.InstanceExtensionNode An extension node which specifies a type.

This class is a kind of which can be used to register types in an extension point. This is a very common case: a host application defines an interface, and add-ins create classes that implement that interface. The host will define an extension point which will use TypeExtensionNode as node type. Add-ins will register the classes they implement in that extension point.

When the nodes of an extension point are of type TypeExtensionNode it is then possible to use query methods such as , which will get all nodes in the provided extension path and will create an object for each node.

When declaring extension nodes in an add-in manifest, the class names can be specified using the 'class' or 'type' attribute. If none of those attributes is provided, the class name will be taken from the 'id' attribute.

TypeExtensionNode is the default extension type used when no type is provided in the definition of an extension point.

`<Addin id = "WriterService" version = "0.1.0" isroot="true"> <Runtime> <Import assembly="WriterService.dll"/> </Runtime> <ExtensionPoint path = "/WriterService/Writers"> <ExtensionNode id="Writer" type="TypeExtensionNode"/> </ExtensionPoint> </Addin>`
- Constructor
  Initializes a new instance.
  0.4.0.0
- Method
  System.Object Creates a new extension object. The new instance. Creates a new extension object of the type represented by this node. 0.4.0.0
- Method
  0.4.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  0.4.0.0
  System.Type To be added. To be added. To be added.
Mono.Addins.ExtensionNode("Type", Description="Specifies a class that will be used to create an extension object.") Mono.Addins.NodeAttribute("class", typeof(System.Type, mscorlib, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089), false, Description="Name of the class. If a value is not provided, the class name will be taken from the 'id' attribute")